> For the complete documentation index, see [llms.txt](https://docs.startrail.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.startrail.io/startrail-sdk-js/change-logs/v1.26.0.md).

# v1.26.0

@March 29, 2022

### What is updated?

* isNewUser property is added by torusEmbed in getUserInfo() response.

```
export interface UserInfo {
  /**
   * Returns if the logged in user is new to Torus wallet which supports Startrail login
   */
  isNewUser?: boolean | ''
  /**
   * Email of the logged in user if your selected wallets knows it
   */
  email: string
  /**
   * Full name of the logged in user if your selected wallets knows it
   */
  name: string
  /**
   * Profile image of the logged in user if your selected wallets knows it
   */
  profileImage: string
  /**
   * verifier of the logged in user (google, facebook etc) if your selected wallets knows it
   */
  verifier: string
  /**
   * Verifier Id of the logged in user if your selected wallets knows it
   *
   * email for google,
   * id for facebook,
   * username for reddit,
   * id for twitch,
   * id for discord
   */
  verifierId: string
  typeOfLogin?: LoginProvider | ''
  wallet?: WalletType
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.startrail.io/startrail-sdk-js/change-logs/v1.26.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
